package com.ruoyi.ucp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author gfhd
 * @since 2024-08-05
 */
@Data
@TableName("station_info_min")
public class StationInfoMin implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String stationId;

    private Date recordDate;

    private Double pjfs;

    private Double pjgl;

    private Double llgl;

    private Double kygl;

    private Double agc;

    private Double dqycgl;

    private Double cdqycgl;

    private Double rfdl;

    private Double hjwd;

    public void setPjfs(Double pjfs) {
        if (pjfs == null || pjfs < 0) pjfs = 0.0;
        if (pjfs > 25) pjfs = 25.0;
        this.pjfs = pjfs;
    }

    public void setPjgl(Double pjgl) {
        if (pjgl == null) pjgl = 0.0;
        if (pjgl < -292) pjgl = -292.0;
        if (pjgl > 169600) pjgl = 169600.0;
        this.pjgl = pjgl;
    }

    public void setAgc(Double agc) {
        if (agc == null || agc < 0) agc = 0.0;
        if (agc > 170000) agc = 170000.0;
        this.agc = agc;
    }

    public void setRfdl(Double rfdl) {
        if (rfdl == null || rfdl < 0) rfdl = 0.0;
        this.rfdl = rfdl;
    }

    public void setHjwd(Double hjwd) {
        if (hjwd == null) hjwd = 0.0;
        if (hjwd < -30) hjwd = -30.0;
        if (hjwd > 40) hjwd = 40.0;
        this.hjwd = hjwd;
    }
}
